import services from '@/services';
import { useRequest } from 'ahooks';
import { Descriptions } from 'antd';
import { useMemo } from 'react';
import styles from './inedx.less';
const AdministPunishList = (props: any) => {
  const { data } = useRequest(
    () =>
      services.DataBase.getSjdzInfoData({
        typeCode: 'zzcc-xzcf-xzcffylb',
        params: {
          id: props?.id,
        },
      }),
    {
      refreshDeps: [props?.id],
    },
  );
  console.log(data);

  const items = useMemo(() => {
    return [
      {
        key: '1',
        label: '行政处罚决定书文号',
        children: (
          <span>{data?.data?.data?.records?.[0]?.list?.[0]?.xzcfjdswh}</span>
        ),
      },
      {
        key: '2',
        label: '违法事实',
        children: (
          <span>{data?.data?.data?.records?.[0]?.list?.[0]?.wfss}</span>
        ),
      },
      {
        key: '3',
        label: '违法行为类型',
        children: (
          <span>{data?.data?.data?.records?.[0]?.list?.[0]?.wfxwlx}</span>
        ),
      },
      {
        key: '4',
        label: '处罚依据',
        children: (
          <span>{data?.data?.data?.records?.[0]?.list?.[0]?.cfyj}</span>
        ),
      },
      {
        key: '5',
        label: '行政相对人类别',
        children: (
          <span>{data?.data?.data?.records?.[0]?.list?.[0]?.xzxdrmc}</span>
        ),
      },
      {
        key: '52',
        label: '证件类型',
        children:   <span>{data?.data?.data?.records?.[0]?.list?.[0]?.zjlx}</span>
      },
      {
        key: '6',
        label: '处罚有效期',
        children:  <span>{data?.data?.data?.records?.[0]?.list?.[0]?.cfjdrq}</span>
      },
      {
        key: '7',
        label: '公示截止期',
        children:  <span>{data?.data?.data?.records?.[0]?.list?.[0]?.gsjzq}</span>
      },
      {
        key: '8',
        label: '没收违法所得',
        children: '--',
      },
      {
        key: '9',
        label: '处罚类别',
        children:  <span>{data?.data?.data?.records?.[0]?.list?.[0]?.cflb}</span>,
      },
      {
        key: '10',
        label: '处罚内容',
        children:  <span>{data?.data?.data?.records?.[0]?.list?.[0]?.cfnr}</span>,
      },
      {
        key: '11',
        label: '罚款金额（元）',
        children:  <span>{data?.data?.data?.records?.[0]?.list?.[0]?.fkje}</span>,
      },
      {
        key: '12',
        label: '处罚决定日期',
        children:  <span>{data?.data?.data?.records?.[0]?.list?.[0]?.cfjdrq}</span>,
      },
      {
        key: '13',
        label: '没收非法财物的金额（万元）',
        children: '--'
      },
    ];
  }, [data]);

  return (
    <div className={styles.container}>
      <Descriptions
        items={items}
        column={1}
        labelStyle={{
          fontSize: 18,
          color: 'rgb(188, 206, 233)',
          display: 'flex',
          justifyContent: 'flex-end',
          width: 260,
        }}
        contentStyle={{
          color: '#fff',
          fontSize: 18,
        }}
      />
    </div>
  );
};
export default AdministPunishList;
