import CooglMap from '@/components/CooglMap';
import { Flex } from 'antd';
import classNames from 'classnames';
import React, { useMemo, useState } from 'react';
import styles from './index.less';
import RoadList from './RoadList';

const Map: React.FC = () => {
  const [activeTab, setActiveTab] = useState('1');

  const tabItems = useMemo(
    () => [
      {
        key: '1',
        label: '市管功能照明监管网格分布',
      },
      {
        key: '2',
        label: '市管功能照明道路分布',
      },
    ],
    [],
  );

  return (
    <div className={styles.container}>
      <Flex gap={10} className={styles.tabContainer}>
        {tabItems.map((item, index) => {
          return (
            <div
              key={index}
              onClick={() => {
                setActiveTab(item.key);
              }}
              className={classNames(styles.tabItem, {
                [styles.active]: activeTab === item.key,
              })}
            >
              {item.label}
            </div>
          );
        })}
      </Flex>
      {
        //道路列表
        activeTab === '2' && <RoadList></RoadList>
      }

      <CooglMap.MapView
        zoom={8}
        center={{ x: 103.96, y: 30.658842 }}
      ></CooglMap.MapView>
    </div>
  );
};

export default Map;
